/**
  ******************************************************************************
  * @file    user_config.h
  * @author  sinomcu.com-AE
  * @brief   Header file of user config.
  * 
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * The present firmware which is for guidance only aims at providing customers
  * with coding information regarding their products in order for them to save
  * time. As a result, sinomcu.com shall not be held liable for any direct,indirect
  * or consequential damages with respect to any claims arising from the content 
  * of such firmware and/or the use made by customers of the coding information 
  * contained herein in connection with their products.
  *
  * <h2><center>&copy; Copyright (c) 2021 sinomcu.com All rights reserved.</center></h2>
  *
  ******************************************************************************
  */
// <<< Use Configuration Wizard in Context Menu >>>
#ifndef __USER_CONFIG_H
#define __USER_CONFIG_H
#include "ms32f0xx_adc.h"

#define TIM1_TIM3_INDEPENDENT     0
#define TIM1_UPDATE_TO_TIM3       1   
#define TIM1_OC4REF_PWM1_TO_TIM3  2
#define TIM1_OC4REF_PWM2_TO_TIM3  3

// <o> Timer Mode Select
// <0=> TIM1 TIM3 Independent
// <1=> TIM1 Tiggerout updata to TIM3
// <2=> TIM1 OC4REF PWM1 to TIM3
// <3=> TIM1 OC4REF PWM2 to TIM3
#define TIMER_SYNC_MODE           1

// <c1> Printf to USART
// <i> Retargets printf to USART
#define EN_PRINT_UART             1         // 1:Retargets printf to USART,0 or not define:printf null out
// </c>

#endif /* __USER_CONFIG_H */
// <<< end of configuration section >>>
/******************************** END OF FILE *********************************/
